//This file is found at the OpenFOAM forum, modified by Srinath Madhavan, Frank M. Boss and Mohammad El-Alti.
{
    const fvPatchList& patches = mesh.boundary();
    vector Uav = vector(1,0,0);

    forAll(patches, patchI)
    {
        if (isType<wallFvPatch>(patches[patchI]))
        {
	    scalar Aref = 0.28*11;
            scalar U_max = 5.0;
	    // Make Uav (1,0,0):
	    Uav = Uav/mag(Uav);
	    // And now, multiply Uav (a vector) with U_max (a scalar) to get the reference velocity.
	    Uav = Uav*U_max;

	    // This is the output we will see when a solver is running!	    
            Info<< "\nWall patch = " << patchI << "\n"
                << "Wall patch name = " << patches[patchI].name() << "\n"
                << "Uav = " << Uav << "\n"
                << "Aref = " << Aref << "\n"

	      // Uncomment the following line if you are interested in printing out Lref when computing MomentCoefficient.
	      //<< "Lref = " << Lref << "\n"

/*	      // Recall that in OpenFoam, we work only with kinematic viscosity (nu) as the entire momentum equation
	      // is divided by density (rho). As a result, we need not bother dividing by 'rho' to calculate the
	      // dimensionless force (lift/drag) coefficients. This should actually be explained in liftDrag.H */
	        << "nu = " << nu << "\n"
                << "DragCoefficient = "   << liftDrag::dragCoefficient(U,p,nu,patches[patchI].name(),Uav,Aref)<<"\n"
                << "pressureDragCoefficient = "   << liftDrag::pressureDragCoefficient(U,p,nu,patches[patchI].name(),Uav,Aref)<<"\n"
                << "viscDragCoefficient = "   << liftDrag::viscDragCoefficient(U,p,nu,patches[patchI].name(),Uav,Aref)<<"\n"
                << "LiftCoefficient = "   << (liftDrag::liftCoefficient(U,p,nu,patches[patchI].name(),Uav,Aref)& vector(0,1,0))<<"\n"
	      // Uncomment the following line if you are interested in MomentCoefficient. Ensure that Lref is not zero!!!
	      //<< "MomentCoefficient = " << (momentCoefficient(U,p,nu,patches[patchI].name(),Uav,Aref,Lref)& vector(0,0,1))<<"\n"
                << endl;   

        }
    }
}


